JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class OaIdl.VARDESC

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.OaIdl.VARDESC

Direct Known Subclasses:
  OaIdl.VARDESC.ByReference

Enclosing interface:
  OaIdl

    public static class OaIdl.VARDESC

extends Structure

Nested Class Summary
`static class` `OaIdl.VARDESC._Union`
`static class` `OaIdl.VARDESC.ByReference`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByValue`

Field Summary
`OaIdl.ELEMDESC` `elemdescVar`
`WString` `lpstrSchema`
`OaIdl.MEMBERID` `memid`
`OaIdl.VARDESC._Union` `union` [switch_is][switch_type] C type : DUMMYUNIONNAMEUnion
`OaIdl.VARKIND` `varkind`
`short` `wVarFlags`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`OaIdl.VARDESC()`
`OaIdl.VARDESC(OaIdl.MEMBERID memid, WString lpstrSchema, OaIdl.VARDESC._Union union, OaIdl.ELEMDESC elemdescVar, short wVarFlags, OaIdl.VARKIND varkind)`

Method Summary
`protected java.util.List` `getFieldOrder()` Return this Structure's field names in their proper order.

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStructAlignment, hashCode, newInstance, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### memid

    public OaIdl.MEMBERID memid

### lpstrSchema

    public WString lpstrSchema

### union

    public OaIdl.VARDESC._Union union

  [switch_is][switch_type]
  C type : DUMMYUNIONNAMEUnion

### elemdescVar

    public OaIdl.ELEMDESC elemdescVar

### wVarFlags

    public short wVarFlags

### varkind

    public OaIdl.VARKIND varkind

Constructor Detail

### OaIdl.VARDESC

    public OaIdl.VARDESC()

### OaIdl.VARDESC

    public OaIdl.VARDESC(OaIdl.MEMBERID memid,
                         WString lpstrSchema,
                         OaIdl.VARDESC._Union union,
                         OaIdl.ELEMDESC elemdescVar,
                         short wVarFlags,
                         OaIdl.VARKIND varkind)

Parameters:
  `memid` - C type : MEMBERID
  `lpstrSchema` - C type : LPOLESTR
  `union` - [switch_is][switch_type]
  C type : DUMMYUNIONNAMEUnion
  `elemdescVar` - C type : ELEMDESC
  `wVarFlags` - C type : short
  `varkind` - C type : VARKIND

Method Detail

### getFieldOrder

    protected java.util.List getFieldOrder()

  Description copied from class: `Structure`
  Return this Structure's field names in their proper order. For example,

       protected List getFieldOrder() {
           return Arrays.asList(new String[] { ... });
       }

  IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

       protected List getFieldOrder() {
           List fields = new ArrayList(super.getFieldOrder());
           fields.addAll(Arrays.asList(new String[] { ... }));
           return fields;
       }

  Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.

  Specified by:
    `getFieldOrder` in class `Structure`

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.